Bug 622097 - SELinux is preventing /usr/bin/evince "getattr" access on /dev/.udev/db/block:dm-1.
SELinux is preventing /usr/bin/evince "getattr" access on /dev/.udev/db/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:a07aa32ff0c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-07 06:07 EDT by Christoph A.
Modified: 2011-06-01 08:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 08:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph A. 2010-08-07 06:07:37 EDT
Summary:

SELinux is preventing /usr/bin/evince "getattr" access on
/dev/.udev/db/block:dm-1.

Detailed Description:

SELinux denied access requested by evince. It is not expected that this access
is required by evince and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:sandbox_x_client_t:s0:c2
                              73,c993
Target Context                system_u:object_r:udev_tbl_t:s0
Target Objects                /dev/.udev/db/block:dm-1 [ file ]
Source                        evince
Source Path                   /usr/bin/evince
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           evince-2.30.3-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-41.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.6-147.2.4.fc13.x86_64 #1 SMP Fri
                              Jul 23 17:14:44 UTC 2010 x86_64 x86_64
Alert Count                   7
First Seen                    Fri 06 Aug 2010 01:38:28 PM CEST
Last Seen                     Fri 06 Aug 2010 01:39:08 PM CEST
Local ID                      754c0793-dca8-4e8f-a034-e0223e683f45
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281094748.200:2205): avc:  denied  { getattr } for  pid=20522 comm="evince" path="/dev/.udev/db/block:dm-1" dev=devtmpfs ino=11769 scontext=unconfined_u:unconfined_r:sandbox_x_client_t:s0:c273,c993 tcontext=system_u:object_r:udev_tbl_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1281094748.200:2205): arch=c000003e syscall=6 success=no exit=-13 a0=7f20b31d9fb0 a1=7f20b31d5320 a2=7f20b31d5320 a3=6 items=0 ppid=20460 pid=20522 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm="evince" exe="/usr/bin/evince" subj=unconfined_u:unconfined_r:sandbox_x_client_t:s0:c273,c993 key=(null)



Hash String generated from  catchall,evince,sandbox_x_client_t,udev_tbl_t,file,getattr
audit2allow suggests:

#============= sandbox_x_client_t ==============
allow sandbox_x_client_t udev_tbl_t:file getattr;
Comment 1 Christoph A. 2010-08-07 06:12:52 EDT
This AVC was generated by evince running in a sandbox.
It would be great if you could add a dontaudit rule to avoid such alerts.
(evince runs fine within sandboxes)
Comment 2 Daniel Walsh 2010-08-19 07:47:04 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-17.fc14
Comment 3 Fedora Admin XMLRPC Client 2010-11-08 16:50:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2010-11-08 16:51:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2010-11-08 16:53:34 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2011-06-01 07:57:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.